<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>Redesign</h6>
      <div class="form-row">
        <div class="form-group form-group-sm row col-8">
          <div class="col-12" *ngIf="isSDE || isNTE || isSSE">
            <a class="btn btn-sm btn-primary btn-block" [routerLink]='["new-redesign"]'>
              New <span class="d-none d-sm-inline">Redesign</span>
            </a>
          </div>
        </div>
        <div class="form-group form-group-sm row col-8">
          <label class="col-form-label col-8">Available Views</label>
          <div class="col-16 pl-0 pl-lg-1">
            <dx-select-box [items]="availableViewsList"
                           displayExpr="dspL_VW_NME"
                           valueExpr="dspL_VW_ID"
                           [value]="availableDefaultViewID"
                           (onValueChanged)="getViewData($event.value, false)"></dx-select-box>
          </div>
        </div>
        <div class="form-group form-group-sm row col-8">
          <div class="col-12 offset-12" *ngIf="isMDSAdmin || isMVSAdmin">
            <a class="btn btn-sm btn-primary btn-block" [routerLink]='["customer-bypass"]'>
              Customer Bypass
            </a>
          </div>
        </div>
      </div>
      <dx-data-grid #grid id="grid" *ngIf="!fromQuickSearch"
                    keyExpr="redesign ID" [dataSource]="redesignList"
                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                    [showBorders]="true" [columnAutoWidth]="true"
                    (onRowPrepared)="onRowPrepared($event)"
                    (onRowDblClick)="selectionChangedHandler(grid.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onExporting)="onExporting($event)"
                    (onContentReady)="contentReadyHandler($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-header-filter [visible]="true"></dxo-header-filter>
        
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'linkIdTemplate'">
          <a class="hyperlink" (click)="selectionChangedHandler(row.data['redesign ID'])">{{ row.value }}</a>
        </div>
        <div *dxTemplate="let row of 'submitDateTemplate'">
          <span>{{ row.data['submitted Date'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>
        <div *dxTemplate="let row of 'slaDueDateTemplate'">
          <span>{{ row.data['sla Due Date'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>
        <div *dxTemplate="let row of 'expirationDateTemplate'">
          <span>{{ row.data['expiration Date'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>

        
      </dx-data-grid>

      <dx-data-grid #grid1 id="grid1" *ngIf="fromQuickSearch"
                    keyExpr="redesignId" [dataSource]="redesignSearchList"
                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                    [showBorders]="true" [columnAutoWidth]="true"
                    (onRowPrepared)="onSearchRowPrepared($event)"
                    (onRowDblClick)="selectionSearchChangedHandler(grid1.selectedRowKeys)"
                    (onToolbarPreparing)="onSearchToolbarPreparing($event)"
                    (onExporting)="onSearchExporting($event)"
                    (onContentReady)="contentSearchReadyHandler($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-header-filter [visible]="true"></dxo-header-filter>
        
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid1.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'linkIdTemplate'">
          <a class="hyperlink" (click)="selectionChangedHandler(row.data.redesignId)">{{ row.value }}</a>
        </div>
        <div *dxTemplate="let row of 'submitDateTemplate'">
          <span>{{ row.data['submittedDate'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>
        <div *dxTemplate="let row of 'slaDueDateTemplate'">
          <span>{{ row.data['slaDueDate'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>
        <div *dxTemplate="let row of 'expirationDateTemplate'">
          <span>{{ row.data['expirationDate'] | date:"MM/dd/yyyy h:mm:ss a" }}</span>
        </div>


      </dx-data-grid>
    </div>
  </div>
</div>
